org.vishia.guiBzr

## Class PanelOutput

- java.lang.Object
- - org.vishia.guiBzr.PanelOutput

-     public class PanelOutput
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) MainData` | `mainData` Aggregation to the main data of the GUI.
    `(package private) GralMngBuild_ifc` | `panelBuildifc` Aggregation to the build interface of the manager where the panel is member of.
    `(package private) java.lang.StringBuilder` | `uCommitOut`
    `static int` | `version` Version, able to read as hex yyyymmdd.
    `(package private) GralWidget` | `widgdOutputText`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelOutput(MainData mainData, GralMngBuild_ifc panelBuildifc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `initGui()` Initializes the graphic.
    `(package private) void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, able to read as hex yyyymmdd. Changes:
      - 2011-06-17 Hartmut: Created. It is the output of some commands.
      See Also:
        Constant Field Values

    - #### mainData

          final MainData mainData

      Aggregation to the main data of the GUI.

    - #### panelBuildifc

          final GralMngBuild_ifc panelBuildifc

      Aggregation to the build interface of the manager where the panel is member of.

    - #### uCommitOut

          final java.lang.StringBuilder uCommitOut

    - #### widgdOutputText

          GralWidget widgdOutputText

  - ### Constructor Detail

    - #### PanelOutput

          public PanelOutput(MainData mainData,
                             GralMngBuild_ifc panelBuildifc)

  - ### Method Detail

    - #### initGui

          void initGui()

      Initializes the graphic. It will be called in the GUI-Thread.

    - #### stop

          void stop()